<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('name_servers', function (Blueprint $table) {
            $table->integer('web_port')->default(8082)->nullable()->comment('Port pentru web server (query-logs.php)');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('name_servers', function (Blueprint $table) {
            $table->dropColumn('web_port');
        });
    }
};
